package org.gyk.modules.sssj.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.gyk.modules.sssj.entity.Rishuju;
import org.gyk.modules.sssj.mapper.RishujuMapper;
import org.gyk.modules.sssj.service.IRishujuService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class RishujuServiceImpl extends ServiceImpl<RishujuMapper , Rishuju> implements IRishujuService {


    @Override
    public List<Map<String, Object>> getMouthDataByIds(String jldId) {
        return baseMapper.getMouthDataByIds(jldId);
    }

    @Override
    public List<Map<String, Object>> getYearDataByIds(String jldId) {
        return baseMapper.getYearDataByIds(jldId);
    }
    @Override
    public List<Map<String, Object>> getYMDataByjldIds (String jldId) {
        return baseMapper.getYMDataByjldIds(jldId);
    }



}
